﻿Imports Guna.UI.WinForms
Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        handleMenuePanel(Nothing, True, {p_artikelstamm, p_hardware, p_MobileComputing, p_Inventar, p_Software, p_Lizenzen}.ToList)
    End Sub

    Private Sub Menue_Handle(sender As Object, e As EventArgs) Handles btn_Storage.Click, btn_Hardware.Click, btn_MobileComputing.Click,
                btn_Inventar.Click, btn_Software.Click, btn_Lizenen.Click
        Dim iSel As Integer = 0
        Dim mPan As Panel = Nothing
        'lvl 0 
        If sender Is btn_Storage Then
            mPan = p_artikelstamm
        ElseIf sender Is btn_Inventar Then
            mPan = p_Inventar
            'lvl 1
        ElseIf sender Is btn_Hardware Then
            mPan = p_hardware
        ElseIf sender Is btn_Software Then
            mPan = p_Software
            'lvl 2
        ElseIf sender Is btn_MobileComputing Then
            mPan = p_MobileComputing

        ElseIf sender Is btn_Lizenen Then
            mPan = p_Lizenzen

        End If
        handleMenuePanel(mPan)
    End Sub
    Public Sub handleMenuePanel(mPanel As Panel, Optional init As Boolean = False, Optional arrPanel As List(Of Panel) = Nothing)
        If init Then
            For Each p As Panel In arrPanel
                p.Visible = False
            Next
            Return
        End If
        If mPanel.Visible = False Then
            mPanel.Visible = True
        Else
            mPanel.Visible = False
        End If

    End Sub



    'Also das hier erstellt die Buttons wie gewünscht
    Private Sub CreateMenue(mainpanel As Panel)
        Dim dt As DataTable = Nothing ' Hier dann eig die Database1.mdf
        For Each dtr As DataRow In dt.Rows
            Dim newbtn As New GunaAdvenceButton : newbtn = designbutton(dtr("LEVEL"))
            newbtn.Text = dtr.Item(1).ToString
            mainpanel.Controls.Add(newbtn)
            If dtr("HASCHILDREN") = 1 Then
                Dim newp As New Panel
                With newp
                    newp.Tag = dtr("ID") & "|" & dtr("ITEMTEXT")
                    newp.BackColor = Color.Transparent
                    newp.Dock = DockStyle.Top
                    newp.AutoSize = True
                End With
                newp.Controls.Add(New Button)
                newp.Controls.Add(New Button)
                mainpanel.Controls.Add(newp)
                mainpanel.Controls.SetChildIndex(newp, mainpanel.Controls.GetChildIndex(newbtn) - 1)

            End If

        Next
        For Each c As Control In mainpanel.Controls
            Debug.WriteLine(c.Name & " | " & c.Text & " | " & mainpanel.Controls.GetChildIndex(c))
        Next

    End Sub
    ''' <summary>
    ''' 
    ''' </summary>
    ''' <param name="level">available: level 0 - 3</param>
    ''' <returns></returns>
    Private Function designbutton(level As Integer) As Guna.UI.WinForms.GunaAdvenceButton
        Dim bcl0 As Color = Color.FromArgb(42, 42, 42)
        Dim bcl1 As Color = Color.FromArgb(62, 62, 62)
        Dim bcl2 As Color = Color.FromArgb(82, 82, 82)
        Dim bcl3 As Color = Color.FromArgb(95, 95, 95)
        Dim hcl As Color = Color.FromArgb(29, 108, 210)
        Dim bfc As Color = Color.White
        Dim newbtn As New Guna.UI.WinForms.GunaAdvenceButton
        newbtn.Image = Nothing
        newbtn.Dock = DockStyle.Top
        newbtn.ForeColor = bfc
        newbtn.OnHoverBaseColor = hcl
        If level = 0 Then
            With newbtn
                .BaseColor = bcl0
                .Font = New Font("Segoe UI", 14)
                .TextOffsetX = 0
                .Height = 40
            End With
        ElseIf level = 1 Then
            With newbtn
                .BaseColor = bcl1
                .Font = New Font("Segoe UI", 11)
                .TextOffsetX = 20
                .Height = 30
            End With
        ElseIf level = 2 Then
            With newbtn
                .BaseColor = bcl2
                .Font = New Font("Segoe UI", 11)
                .TextOffsetX = 30
                .Height = 25
            End With
        ElseIf level = 3 Then
            With newbtn
                .BaseColor = bcl3
                .Font = New Font("Segoe UI", 10)
                .TextOffsetX = 45
                .Height = 25
            End With
        End If
        Return newbtn
    End Function


End Class
